{% comment %}

Organization public profile

Separated into part so it can be included in multiple layouts (internal vs external)

Context:
    organization: Organization to display
    is_editable: Show editors or not (shortcut for whether this is my org or not)

{% endcomment %}
{% load i18n %}
{% load sekizai_tags %}

{% addtoblock "javascript-before-bundle" %}
    <script src="{{ STATIC_URL }}frontend/leaflet/leaflet.js"></script>
{% endaddtoblock %}

{% addtoblock "css" %}
    <link rel="stylesheet" href="{{ STATIC_URL }}frontend/leaflet/leaflet.css" />
{% endaddtoblock %}

{% addtoblock 'javascript' %}
    <script src="{{ STATIC_URL }}bower-components/fancybox/source/jquery.fancybox.js"></script>
{% endaddtoblock %}

{% addtoblock "javascript-before-bundle" %}
    <script src="{{ STATIC_URL }}frontend/angular-leaflet-directive.js"></script>
{% endaddtoblock %}

{% addtoblock "javascript" %}
    <script>
        $('.lightbox').fancybox()
    </script>
{% endaddtoblock %}

{% addtoblock "javascript" %}
    <script>
        var lat = {{ profile.organization.map_latitude|stringformat:"f" }}
        var long = {{  profile.organization.map_longitude|stringformat:"f" }}
        var zoom = {{  profile.organization.map_zoom }}
        var map = L.map('map').setView([lat, long], zoom)

        L.tileLayer('http://{s}.tile.osm.org/{z}/{x}/{y}.png', {
            attribution: '&copy; <a href="http://osm.org/copyright">OpenStreetMap</a> contributors'
        }).addTo(map)

        // add a marker in the given location, attach some popup content to it and open the popup
        L.marker([lat, long]).addTo(map)
{#                .bindPopup('{{ profile.organization.name }}')#}
{#                .openPopup();#}

        L.attributionControl = false
    </script>
{% endaddtoblock %}



<div class="organization-public-profile" >


    {% addtoblock 'css' %}
        <link rel="stylesheet" href="{{ STATIC_URL }}bower-components/fancybox/source/jquery.fancybox.css" />
    {% endaddtoblock %}

    {% if profile.profile_photo %}
    <div class="public-profile-header">
        <img class="public-profile-header-img" src="{{ MEDIA_URL }}{{ profile.profile_photo }}" />
    </div>
    {% endif %}


    {# Organization header #}
    <div class="profile-section">
        <div class="profile-section-content">

            <div class="box-header-toolbar">
                {% if is_editable %}
                    <a
                        href="{% url 'my_org_detail' organization.slug %}#business_card/edit"
                        class="btn btn-default btn-sm"
                        rel="tooltip" title="{% trans "Edit" %}"
                    >
                        <span class="{{ ICONS.edit }}"></span>
                    </a>
                {% endif %}
            </div>

            {% include "org_public_profile/_organization_business_card.html" %}

        </div>
    </div>

    {# Photos, #}
    {% if true or is_editable or 'photos' in profile.visible_sections_list %}
        {% include 'org_public_profile/sections/_section_photos.html' %}
    {% endif %}

    {# Certifications #}
    {% if true or is_editable or 'certifications' in profile.visible_sections_list %}
        {% include 'org_public_profile/sections/_section_certificates.html' %}
    {% endif %}

    {# Products #}
    {% if true or is_editable or 'products' in profile.visible_sections_list %}
        {% include 'org_public_profile/sections/_section_products.html' %}
    {% endif %}

    {# Map #}
    {% if is_editable or 'map' in visible_sections_list %}
        {% include 'org_public_profile/sections/_section_map.html' %}
    {% endif %}



</div>


{% addtoblock "javascript" %}
    {% if is_editable %}
{#        <script language="javascript" src="{{ STATIC_URL }}lib/knockout.js"></script>#}
{#        <script language="javascript" src="{{ STATIC_URL }}lib/knockout.mapping-latest.js"></script>#}
{#        <script language="javascript" src="{{ STATIC_URL }}org_public_profile/org_public_profile.js"></script>#}
    {% endif %}
{% endaddtoblock %}
